# `taurus.core.util.console`

This module contains ANSI color codes

Classes

class HTMLColors

  (more info)

class NoColors

  (more info)

class TermColors

  Color escape sequences.

  This class defines the escape sequences for all the standard (ANSI?) colors in terminals. Also defines a NoColor escape which is just the null string, suitable for defining ‘dummy’ color schemes in terminals which get confused by color escapes.

  This class should be used as a mixin for building color schemes.

  Basicaly this class is just a copy of IPython.ColorANSI.TermColors class

  (more info)

Functions

make_color_table(in_class, use_name=False, fake=False)

  Build a set of color attributes in a class. Helper function for building the TermColors classes.